Topic: Error: ./node_modules/ng-uikit-pro-standard/assets/scss/mdb.scss

pvarela free asked 1 year ago


Hello.

After an npm update, I could not server or compile my project anymore. I get the following error:

Error: ./node_modules/ng-uikit-pro-standard/assets/scss/bootstrap/bootstrap.scss Module build failed (from ./node_modules/mini-css-extract-plugin/dist/loader.js): ModuleBuildError: Module build failed (from ./node_modules/sass-loader/dist/cjs.js): SassError: Undefined function. ╷ 50 │ $rfs-base-font-size: math.div( │ ┌────────────────────────^ 51 │ │ $rfs-base-font-size, 52 │ │ $rfs-base-font-size * 0 + math.div(1, $rfs-rem-value) 53 │ │ ); │ └───^ ╵ node_modules/ng-uikit-pro-standard/assets/scss/bootstrap/vendor/_rfs.scss 50:24 @import node_modules/ng-uikit-pro-standard/assets/scss/bootstrap/_mixins.scss 6:9 @import node_modules/ng-uikit-pro-standard/assets/scss/bootstrap/bootstrap.scss 10:9 root stylesheet at /Users/john/Desktop/DEV/IsnuranceApp/node_modules/webpack/lib/NormalModule.js:316:20 at /Users/john/Desktop/DEV/IsnuranceApp/node_modules/loader-runner/lib/LoaderRunner.js:367:11 at /Users/john/Desktop/DEV/IsnuranceApp/node_modules/loader-runner/lib/LoaderRunner.js:233:18 at context.callback (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/loader-runner/lib/LoaderRunner.js:111:13) at /Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass-loader/dist/index.js:56:7 at Function.call$2 (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:89862:16) at _render_closure1.call$2 (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:79036:12) at _RootZone.runBinary$3$3 (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:26612:18) at _FutureListener.handleError$1 (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:25140:19) at Future_propagateToListeners_handleError.call$0 (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:25437:49) at Object.Future_propagateToListeners (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:4502:77) at _Future._completeError$2 (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:25270:9) at _AsyncAwaitCompleter.completeError$2 (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:24613:12) at Object._asyncRethrow (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:4251:17) at /Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:13112:20 at _wrapJsFunctionForAsync_closure.$protected (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:4276:15)

Error: ./node_modules/ng-uikit-pro-standard/assets/scss/mdb.scss Module build failed (from ./node_modules/mini-css-extract-plugin/dist/loader.js): ModuleBuildError: Module build failed (from ./node_modules/sass-loader/dist/cjs.js): SassError: Undefined function. ╷ 50 │ $rfs-base-font-size: math.div( │ ┌────────────────────────^ 51 │ │ $rfs-base-font-size, 52 │ │ $rfs-base-font-size * 0 + math.div(1, $rfs-rem-value) 53 │ │ ); │ └───^ ╵ node_modules/ng-uikit-pro-standard/assets/scss/core/bootstrap/_rfs.scss 50:24 @import node_modules/ng-uikit-pro-standard/assets/scss/mdb.scss 37:9 root stylesheet at /Users/john/Desktop/DEV/IsnuranceApp/node_modules/webpack/lib/NormalModule.js:316:20 at /Users/john/Desktop/DEV/IsnuranceApp/node_modules/loader-runner/lib/LoaderRunner.js:367:11 at /Users/john/Desktop/DEV/IsnuranceApp/node_modules/loader-runner/lib/LoaderRunner.js:233:18 at context.callback (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/loader-runner/lib/LoaderRunner.js:111:13) at /Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass-loader/dist/index.js:56:7 at Function.call$2 (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:89862:16) at _render_closure1.call$2 (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:79036:12) at _RootZone.runBinary$3$3 (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:26612:18) at _FutureListener.handleError$1 (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:25140:19) at Future_propagateToListeners_handleError.call$0 (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:25437:49) at Object.Future_propagateToListeners (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:4502:77) at _Future._completeError$2 (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:25270:9) at _AsyncAwaitCompleter.completeError$2 (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:24613:12) at Object._asyncRethrow (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:4251:17) at /Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:13112:20 at _wrapJsFunctionForAsync_closure.$protected (/Users/john/Desktop/DEV/IsnuranceApp/node_modules/sass/sass.dart.js:4276:15)

I deleted node_modules and reinstalled everything several times and the error persist.

Does this have to do with a versions conflict? How do I fix this?

Thanks.



@pvarela It looks like you installed the latest (12.0.0) version of ng-uikit-pro-standard which requires Angular 12. Please update your Angular version or downgrade ng-uikit-pro-standard by specifying version in installation command:

npm install git+https://oauth2:YOUR_TOKEN@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git#version --save


Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Answered

Specification of the issue

  • User: Free
  • Premium support: No
  • Technology: MDB Angular
  • MDB Version: MDB4 10.0.0
  • Device: MacBook Pro
  • Browser: None
  • OS: MacOs
  • Provided sample code: No
  • Provided link: No
Tags